KJL - Feature #2331

Validasi pada menu Master Data
09/18/2023 01:41 PM - haykal haykal

Status: Closed Start date: 09/18/2023
Priority: Normal Due date:

Assignee: haykal haykal % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 8.00 hours
Description

Dear Azid,

Tolong bikin validasi untuk Material Code yang ada di Material Master Data. Jadi tidak boleh ada Material Code yang sama. (Dibikin
validasi kode unik agar apabila user mengisikan Material Code yang sama tidak bisa)

Tolong bikin validasi untuk Vendor Code yang ada di Vendor Master Data. Jadi tidak boleh ada Vendor Code yang sama. (Dibikin
validasi kode unik agar apabila user mengisikan Vendor Code yang sama tidak bisa)

Tolong bikin validasi untuk Customer Code yang ada di Customer Master Data. Jadi tidak boleh ada Customer Code yang sama.
(Dibikin validasi kode unik agar apabila user mengisikan Customer Code yang sama tidak bisa)

Menu Path: Logistic & Service > Master Data > Material Master Data
port: https://remote.minovais.com:61138/

Terima Kasih,

History

#1 - 10/12/2023 02:45 PM - Anonymous
- Subject changed from Validasi External ID pada menu Material Master Data to Validasi Material Code pada menu Material Master Data
- Description updated

- Status changed from New to Assigned

#2 - 10/27/2023 02:04 PM - haykal haykal
- Subject changed from Validasi Material Code pada menu Material Master Data to Validasi pada menu Master Data

- Description updated

#3 - 11/01/2023 03:11 PM - M Azid Wahyudi
- Status changed from Assigned to QA Test
- Assignee changed from M Azid Wahyudi to haykal haykal

dear haykal , udah bisa di test ya
package :

var keyField = getParam("KeyID");

var table = rec.TableName;

var data = Ext.encode(frmForm.getValues());

var token = MinovaUtil. SESSIONS.Token; console.log(action);
/Ivar action = me.action; // edit by Tri nwh 20231003

var meaction = me.action; console.log(meaction);
/lif(action==undefined){action="0"}; // edit by Tri nwh 20231003
if(meaction!=undefined){action=meaction};

if (table == 'PMDMATO0001"){

var CheckMateriallD = frmForm.getForm().findField("MateriallD").getValue();
var inUpdate = '0";

if (CheckMateriallD == "){

inUpdate = '1'

}
if (inUpdate =="1"){
var ExternallD = frmForm.getForm().findField("ExternallD").getValue();

07/05/2025 1/5



https://remote.minovais.com:61138/

Ext.Ajax.request({

async: false,

method: 'POST’,

url: /UserControl/GetStore’',
params: {

tableName: 'PMDMATO0001",
param: 'ExternallD[=]' + ExternallD

13

success: function (response) {

var results = Ext.decode(response.responseText);
dt = results.data’;

if (dt != undefined) {

+ 'gaction=' + action + '&token=' + token

(idNo) ;
es());

alues());

age.text, 'E');

+ 'gaction=' + action + '&token=' + token

(idNo) ;
es());

alues());

age.text, 'E');
MinovaMessage ('Not Null', 'FILOVALOO1', '', 'E');
}

else

var params = {
apiController: 'api/Devt',
methodName: 'SaveTableMaster',
parameter: 'tableName=' + table + '&data=' + data
bi

MinovaAjaxPost ('/ApiService/Api/', params, function (x

var result = Ext.decode (xhr.responseText);

var r = Ext.decode(result.data);

if (r.success) {
headerDisplay.mask ("Loading...");
var idNo = r.data;
frmForm.getForm() .findField (keyField) .setValue

frmDisplay.getForm() .setValues (frmForm.getValu
headerDisplay.getForm() .setValues (frmForm.getV

frmDisplay.setHidden (false);

frmForm.setHidden (true) ;

MinovaMessage ('Not Null', '000006', '', 'S'");
headerDisplay.unmask () ;

} else {

MinovaMessage (' Not Null ', ' 000005 ', r.mess

1)

} else(
var params = {
apiController: 'api/Devt',
methodName:
parameter:

'SaveTableMaster',
'tableName=' + table + '&data=' + data

}i
MinovaAjaxPost ('/ApiService/Api/', params, function (x

var result = Ext.decode (xhr.responseText);

var r = Ext.decode (result.data);

if (r.success) {
headerDisplay.mask ("Loading...");
var idNo = r.data;
frmForm.getForm() . findField (keyField) .setValue

frmDisplay.getForm() .setValues (frmForm.getValu
headerDisplay.getForm() .setValues (frmForm.getV

frmDisplay.setHidden (false);
frmForm.setHidden (true) ;
MinovaMessage ('Not Null',
headerDisplay.unmask () ;

} else {
MinovaMessage (' Not Null ', ' 000005 ', r.mess

'000006', "', 'S");
b i
}
} else if (table == 'PMDVENO0OO1") {
var CheckVendorID = frmForm.getForm().findField("VendorID") .getVal
ue () ;
var inUpdate = '0';
if (CheckVendorID ''" || CheckVendorID '0') {
inUpdate = '1"'
}
if (inUpdate == '1"'"){
var ExternalIDVen = frmForm.getForm().findField ("ExternalID").
getValue () ;
Ext.Ajax.request ({
async: false,
method: 'POST',
url: '/UserControl/GetStore',
params: {
tableName: 'PMDVENOOO1',
param: 'ExternalID[=]' + ExternalIDVen
}I
success: function (response) {
var results = Ext.decode (response.responseText);
dt = results.datal0];

if (dt != undefined) {
MinovaMessage ('Not Null', 'FILOVALOO2', '', 'E');
}

else

var params = {
apiController: 'api/Devt',
methodName: 'SaveTableMaster',
parameter: 'tableName=' + table + '&data=' + data
+ '&action=' + action + '&token=' + token
bi
MinovaAjaxPost ('/ApiService/Api/', params, function (x

hr) {
var result = Ext.decode (xhr.responseText);
var r = Ext.decode(result.data);
if (r.success) {
headerDisplay.mask ("Loading...");
var idNo = r.data;
frmForm.getForm() .findField (keyField) .setValue
(idNo) ;
frmDisplay.getForm() .setValues (frmForm.getValu
es());
headerDisplay.getForm() .setValues (frmForm.getV
alues());

frmDisplay.setHidden (false);
frmForm.setHidden (true) ;
MinovaMessage ('Not Null', '000006', '', 'S");
headerDisplay.unmask () ;
} else {
MinovaMessage (' Not Null ', ' 000005 ', r.mess
age.text, 'E');

b
} else(
var params = {
apiController: 'api/Devt',
methodName: 'SaveTableMaster',
parameter: 'tableName=' + table + '&data=' + data
+ 'gaction=' + action + '&token=' + token
}i

MinovaAjaxPost ('/ApiService/Api/', params, function (x

var result = Ext.decode (xhr.responseText);
var r = Ext.decode(result.data);
if (r.success) {

headerDisplay.mask ("Loading...");

var idNo = r.data;
frmForm.getForm() .findField (keyField) .setValue

(idNo) ;

frmDisplay.getForm() .setValues (frmForm.getValu
es());

headerDisplay.getForm() .setValues (frmForm.getV
alues());

frmDisplay.setHidden (false) ;
frmForm.setHidden (true) ;
MinovaMessage ('Not Null', '000006', '', 'S'");
headerDisplay.unmask () ;
} else {
MinovaMessage (' Not Null ', ' 000005 ', r.mess
age.text, 'E');

} else if (table == 'PMDCUS0001"') {
var CheckCustomerID = frmForm.getForm() .findField("CustomerID") .ge
tvalue () ;
var inUpdate = '0';
if (CheckCustomerID '' || CheckCustomerID '0'") {
inUpdate = '1'
}
if (inUpdate == '1"){
var ExternalIDCus = frmForm.getForm().findField("ExternalID").
getValue () ;
Ext.Ajax.request ({
async: false,
method: 'POST',
url: '/UserControl/GetStore',
params: {
tableName: 'PMDCUS0001',
param: 'ExternalID[=]' + ExternalIDCus
by
success: function (response) {
var results = Ext.decode (response.responseText);
dt = results.data(0];

if (dt != undefined) {
MinovaMessage ('Not Null', 'FILOVALOO3', '', 'E');
}

else

var params = {
apiController: 'api/Devt',
methodName: 'SaveTableMaster',
parameter: 'tableName=' + table + '&data=' + data
+ 'gaction=' + action + '&token=' + token
}i

MinovaAjaxPost ('/ApiService/Api/', params, function (x

hr) {
var result = Ext.decode (xhr.responseText);
var r = Ext.decode(result.data);
if (r.success) {
headerDisplay.mask ("Loading...");
var idNo = r.data;
frmForm.getForm() .findField (keyField) .setValue
(idNo) ;
frmDisplay.getForm() .setValues (frmForm.getValu
es());
headerDisplay.getForm() .setValues (frmForm.getV
alues());

frmDisplay.setHidden (false) ;
frmForm.setHidden (true) ;
MinovaMessage ('Not Null', '000006', '', 'S'");
headerDisplay.unmask () ;
} else {
MinovaMessage (' Not Null ', ' 000005 ', r.mess
age.text, 'E');
} else(
var params = {
apiController: 'api/Devt',

methodName: 'SaveTableMaster',
parameter: 'tableName=' + table + 's&data=' + data
+ 'gaction=' + action + '&token=' + token
}i
MinovaAjaxPost ('/ApiService/Api/', params, function (x
hr) {
var result = Ext.decode (xhr.responseText);
var r = Ext.decode (result.data);
if (r.success) {
headerDisplay.mask ("Loading...");
var idNo = r.data;
frmForm.getForm() .findField (keyField) .setValue
(idNo) ;
frmDisplay.getForm() .setValues (frmForm.getValu
es());
headerDisplay.getForm() .setValues (frmForm.getV
alues());

frmDisplay.setHidden (false);
frmForm.setHidden (true) ;
MinovaMessage ('Not Null', '000006', '', 'S"');
headerDisplay.unmask () ;
} else {
MinovaMessage (' Not Null ', ' 000005 ', r.mess
age.text, 'E');

}
} else {
var params = {
apiController: 'api/Devt',
methodName: 'SaveTableMaster',
parameter: 'tableName=' + table + 's&data=' + data
+ 'gaction=' + action + '&token=' + token
}i
MinovaAjaxPost ('/ApiService/Api/', params, function (x

hr) {
var result = Ext.decode (xhr.responseText);
var r = Ext.decode (result.data);
if (r.success) {
headerDisplay.mask ("Loading...");
var idNo = r.data;
frmForm.getForm() . findField (keyField) .setValue
(idNo) ;
frmDisplay.getForm() .setValues (frmForm.getValu
es());
headerDisplay.getForm() .setValues (frmForm.getV
alues());

frmDisplay.setHidden (false);
frmForm.setHidden (true) ;
MinovaMessage ('Not Null', '000006', '', 'S"');
headerDisplay.unmask () ;
} else {
MinovaMessage (' Not Null ', ' 000005 ', r.mess
age.text, 'E');

Makasih

#4 - 05/07/2024 12:02 PM - haykal haykal
- Status changed from QA Test to Closed
